Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Děkujeme všem návštěvníkům fóra, kteří ochotně radí ostatním. Vaše práce je velmi potřebná a vážíme si jí.

Autor Téma: Aktualizace Kubuntu libperl5.22  (Přečteno 433 krát)

pavelkam

  • Návštěvník
  • *
  • Příspěvků: 1
  • Karma: +0/-0
    • Zobrazit profil
Aktualizace Kubuntu libperl5.22
« kdy: 24 Prosinec 2017, 13:04:28 »
Dobrý den,
omlouvám se pokud zakládám zbytečně nové vlákno ale nic obdobného jsem nenašel. Po aktualizaci Ubuntu 16.04 vyskočila chyba s libperl5.22 resp. závislosti. V Synapticu to píše níže uvedené a nevím jak dát dokupy...

Kód: [Vybrat]
(Načítá se databáze … nyní je nainstalováno 445377 souborů a adresářů.)
Připravuje se nahrazení …/libperl5.22_5.22.1-9ubuntu0.2_amd64.deb …
Rozbaluje se libperl5.22:amd64 (5.22.1-9ubuntu0.2) přes (5.22.1-9) …
dpkg: chyba při zpracovávání archivu /var/cache/apt/archives/libperl5.22_5.22.1-9ubuntu0.2_amd64.deb (--unpack):
 zkouším přepsat sdílený „/usr/share/doc/libperl5.22/changelog.Debian.gz“, který se liší od ostatních instancí balíku libperl5.22:amd64
dpkg-deb: chyba: podproces paste byl zabit signálem (Roura přerušena (SIGPIPE))
Připravuje se nahrazení …/udev_229-4ubuntu21_amd64.deb …
Rozbaluje se udev (229-4ubuntu21) přes (229-4ubuntu19) …
Připravuje se nahrazení …/libsystemd0_229-4ubuntu21_amd64.deb …
Dekonfiguruje se libsystemd0:i386 (229-4ubuntu19) …
Rozbaluje se libsystemd0:amd64 (229-4ubuntu21) přes (229-4ubuntu19) …
Připravuje se nahrazení …/libsystemd0_229-4ubuntu21_i386.deb …
Rozbaluje se libsystemd0:i386 (229-4ubuntu21) přes (229-4ubuntu19) …
Připravuje se nahrazení …/systemd_229-4ubuntu21_amd64.deb …
Rozbaluje se systemd (229-4ubuntu21) přes (229-4ubuntu19) …
Zpracovávají se spouštěče pro balík man-db (2.7.5-1) …
Zpracovávají se spouštěče pro balík ureadahead (0.100.0-19) …
ureadahead will be reprofiled on next reboot
Zpracovávají se spouštěče pro balík libc-bin (2.23-0ubuntu9) …
Při zpracování nastaly chyby:
 /var/cache/apt/archives/libperl5.22_5.22.1-9ubuntu0.2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Instalace balíku selhala. Probíhá pokus o zotavení:
Nastavuje se balík libsystemd0:amd64 (229-4ubuntu21) …
Nastavuje se balík libsystemd0:i386 (229-4ubuntu21) …
dpkg: chyba při zpracovávání balíku libperl5.22:i386 (--configure):
 balík libperl5.22:i386 5.22.1-9ubuntu0.2 nelze zkonfigurovat, protože libperl5.22:amd64 má jinou verzi (5.22.1-9)
dpkg: nesplněné závislosti zamezily konfiguraci balíku perl:
 perl závisí na libperl5.22 (= 5.22.1-9ubuntu0.2); avšak:
  Verze libperl5.22:amd64 v systému je 5.22.1-9.

dpkg: chyba při zpracovávání balíku perl (--configure):
 problém se závislostmi - nechávám nezkonfigurované
Nastavuje se balík udev (229-4ubuntu21) …
addgroup: Skupina „input“ již existuje jako systémová skupina. Končím.
update-initramfs: deferring update (trigger activated)
Nastavuje se balík systemd (229-4ubuntu21) …
addgroup: Skupina „systemd-journal“ již existuje jako systémová skupina. Končím.
Zpracovávají se spouštěče pro balík dbus (1.10.6-1ubuntu3.3) …
Nastavuje se balík libpam-systemd:amd64 (229-4ubuntu21) …
Zpracovávají se spouštěče pro balík libc-bin (2.23-0ubuntu9) …
Zpracovávají se spouštěče pro balík initramfs-tools (0.122ubuntu8.8) …
update-initramfs: Generating /boot/initrd.img-4.10.0-33-generic
W: Possible missing firmware /lib/firmware/i915/kbl_dmc_ver1_01.bin for module i915
W: mdadm: /etc/mdadm/mdadm.conf defines no arrays.
Při zpracování nastaly chyby:
 libperl5.22:i386
 perl

Prosím o jakoukoliv pomoc... Děkuji
« Poslední změna: 24 Prosinec 2017, 17:04:36 od GdH »

petertomasy

  • Stálý člen
  • ***
  • Příspěvků: 768
  • Karma: +88/-8
    • Zobrazit profil
Re:Aktualizace Kubuntu libperl5.22
« Odpověď #1 kdy: 24 Prosinec 2017, 14:01:35 »
Kód: [Vybrat]
sudo rm /usr/share/doc/libperl5.22/changelog.Debian.gz
sudo apt-get install -f

https://bugs.launchpad.net/ubuntu/+source/perl/+bug/1574351